Commit 468e705a authored by Jeff Huang's avatar Jeff Huang 🤔

[skip-ci] libgcrypt: update to 1.8.5 to fix security issues

parent d4ed1aa6
Pipeline #4148 skipped
pkgname=libgcrypt
pkgver=1.8.4
pkgver=1.8.5
pkgrel=1
pkgdesc="a general purpose crypto library based on the code used"
arch=('x86_64')
url="http://www.gnupg.org"
url="https://www.gnupg.org"
license=('LGPL')
depends=('libgpg-error')
options=('!emptydirs' '!makeflags')
# https://www.gnupg.org/download/integrity_check.html
source=(https://www.gnupg.org/ftp/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2{,.sig})
# https://gnupg.org/download/integrity_check.html
sha1sums=('4a8ef9db6922f3a31992aca5640b4198a69b58fc'
# https://www.gnupg.org/download/integrity_check.html
sha1sums=('2d8781e92f88706707a1e76fb628b499ad538a30'
'SKIP')
validpgpkeys=('031EC2536E580D8EA286A9F22071B08A33BD3F06' # "NIIBE Yutaka (GnuPG Release Key) <gniibe@fsij.org>"
'D8692123C4065DEA5E0F3AB5249B39D24F25E3B6') # Werner Koch
......
infodir=/usr/share/info
filelist=(gcrypt.info)
post_install() {
[ -x usr/bin/install-info ] || return 0
for file in ${filelist[@]}; do
install-info $infodir/$file $infodir/dir 2> /dev/null
done
}
post_upgrade() {
post_install $1
}
pre_remove() {
[ -x usr/bin/install-info ] || return 0
for file in ${filelist[@]}; do
install-info --delete $infodir/$file $infodir/dir 2> /dev/null
done
}
# vim:set ts=2 sw=2 et:
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment